{
Projekt     : Testprogramm fr Komponente TMultidebugWindow
Dateien     : test.dpr (Projektdatei)
              testu1.pas (Test-Unit)
              testu1.dfm (Test-Formular)
Stand       : 18.2.1996
Erstellt    : Kurt Spitzley, email 0225438-0001@t-online.de
Copyright   : Diese Software darf zu nichtkommerziellen Zwecken frei genutzt
              und weitergegeben werden. Kommerzielle Nutzung nur mit ausdrck-
              licher Genehmigung des Autors.

Beschreibung :
--------------
Dynamisches Erzeugen eines TMultiDebugWindow-Objektes und Testausgabe mittels
OnTimer-Event.

================================================================================

Project     : Testprogram for Component TMultidebugWindow
Files       : test.dpr
              testu1.pas
              testu1.dfm
Last changes: 18.2.1996
Author      : Kurt Spitzley, email 0225438-0001@t-online.de
Copyright   : (c) 1996 by Kurt Spitzley, All rights reserved.
              This software should not be SOLD by anyone. It is distributed as
              freeware and therefore may be used free of charge.
Disclaimer  : I have provided this software to the public free of charge. You
              accept this software AS IS without any representation or warranty
              of any kind, including but not limited to the warranty of
              merchantability or fitness for a particular purpose.

Description :
-------------
Dynamic creation of a TMultiDebugWindow-Object and test-output via OnTimer-Event
}

unit TestU1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, MDebwin, StdCtrls;


type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Edit1: TEdit;
    Label3: TLabel;
    XMaxWin: TLabel;
    Edit2: TEdit;
    Label1: TLabel;
    YMaxWin: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Edit2KeyPress(Sender: TObject; var Key: Char);
    procedure FormDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
    dewi:TMultiDebugWindow;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var b:byte;
begin
  dewi:=TMultiDebugwindow.Create(self);
  dewi.XMaxWin:=4;
  dewi.YMaxWin:=3;
  dewi.MultiChannel:=true;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var b:byte;
begin
  for b := 1 to 7 do
    write(chr(b),'A');
  for b := 1 to 7 do
    write(chr(b),'B');
  for b := 1 to 7 do
    begin
      write(chr(b),'C');
      write(chr(b),'D');
      write(chr(b),'E');
      writeln(chr(b),' Kanal:',b,' ',random(65000));
    end;
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  if Key=#13 then
    begin
      XMaxWin.caption:=Edit1.Text;
      dewi.XMaxWin:=StrToInt(Edit1.Text);
    end;
end;

procedure TForm1.Edit2KeyPress(Sender: TObject; var Key: Char);
begin
  if Key=#13 then
    begin
      YMaxWin.caption:=Edit2.Text;
      dewi.YMaxWin:=StrToInt(Edit2.Text);
    end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  dewi.Free;
end;

end.
